MOSDEPTH(1)

NAME
mosdepth - manual page for mosdepth 0.3.11

DESCRIPTION
mosdepth 0.3.11

    Usage: mosdepth [options] <prefix> <BAM-or-CRAM>

Arguments:

<prefix>
    outputs: `{prefix}.mosdepth.global.dist.txt`

`{prefix}.mosdepth.summary.txt`
    `{prefix}.per-base.bed.gz` (unless -n/--no-per-base is specified) `{prefix}.regions.bed.gz` (if --by is specified) `{prefix}.quantized.bed.gz` (if --quantize is specified) `{prefix}.thresholds.bed.gz` (if --thresholds is specified)

<BAM-or-CRAM>
    the alignment file for which to calculate depth.

Common Options:

-t --threads <threads>
    number of BAM decompression threads [default: 0]

-c --chrom <chrom>
    chromosome to restrict depth calculation.

-b --by <bed|window>
    optional BED file or (integer) window-sizes.

-n --no-per-base
    dont output per-base depth. skipping this output will speed execution substantially. prefer quantized or thresholded values if possible.

-f --fasta <fasta>
    fasta file for use with CRAM files [default: ].

Other options:

-F --flag <FLAG>
    exclude reads with any of the bits in FLAG set [default: 1796]

-i --include-flag <FLAG>
    only include reads with any of the bits in FLAG set. default is unset. [default: 0]

-x --fast-mode
    dont look at internal cigar operations or correct mate overlaps (recommended for most use-cases).

-a --fragment-mode
    count the coverage of the full fragment including the full insert (proper pairs only).

-q --quantize <segments>
    write quantized output see docs for description.

-Q --mapq <mapq>
    mapping quality threshold. reads with a quality less than this value are ignored [default: 0]

-l --min-frag-len <min-frag-len>
    minimum insert size. reads with a smaller insert size than this are ignored [default: -1]

-u --max-frag-len <max-frag-len>
    maximum insert size. reads with a larger insert size than this are ignored. [default: -1]

-T --thresholds <thresholds>
    for each interval in --by, write number of bases covered by at least threshold bases. Specify multiple integer values separated by ','.

-m --use-median
    output median of each region (in --by) instead of mean.

-R --read-groups <string>
    only calculate depth for these comma-separated read groups IDs.

-h --help
    show help